> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saucerswap.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all liquidity positions by account id

| Hedera Network | Base URL                                                                   |
| -------------- | -------------------------------------------------------------------------- |
| Mainnet        | [https://api.saucerswap.finance](https://api.saucerswap.finance)           |
| Testnet        | [https://test-api.saucerswap.finance](https://test-api.saucerswap.finance) |
| Previewnet     | *Not supported*                                                            |


## OpenAPI

````yaml GET /v2/nfts/{accountId}/positions
openapi: 3.0.4
info:
  title: SaucerSwap REST API
  version: 1.0.0
servers:
  - url: https://api.saucerswap.finance
  - url: https://test-api.saucerswap.finance
security: []
paths:
  /v2/nfts/{accountId}/positions:
    get:
      tags:
        - SaucerSwap V2
      summary: Get all liquidity positions by account id
      parameters:
        - $ref: '#/components/parameters/ApiKeyParam'
        - name: accountId
          description: Hedera account id (shard.realm.num)
          in: path
          required: true
          schema:
            type: string
            example: 0.0.12345
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PositionV2'
components:
  parameters:
    ApiKeyParam:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        default: 875e1017-87b8-4b12-8301-6aa1f1aa073b
      description: >-
        API key for authentication. The demo api key provided is globally rate
        limited. Do not use in production.
  schemas:
    PositionV2:
      type: object
      required:
        - tokenSN
        - accountId
        - deleted
        - createdAt
        - updatedAt
        - token0
        - token1
        - fee
        - tickUpper
        - tickLower
        - liquidity
        - feeGrowthInside0LastX128
        - feeGrowthInside1LastX128
        - tokensOwed0
        - tokensOwed1
      properties:
        tokenSN:
          type: integer
          example: 160
          description: NFT serial number representing user's position
        accountId:
          description: Hedera account id (shard.realm.num)
          type: string
          example: 0.0.12345
        deleted:
          type: boolean
          example: false
          description: True if this position was deleted otherwise false
        createdAt:
          type: string
          example: '1697779560.762467685'
          description: Unix timestamp when this position was created
        updatedAt:
          type: string
          example: '1698287867.747005303'
          description: Unix timestamp when this position was updated
        token0:
          $ref: '#/components/schemas/Token'
          example:
            decimals: 8
            icon: /images/tokens/hbar.png
            id: 0.0.59042
            name: WHBAR [new]
            price: '100000000'
            priceUsd: 0.0598982
            symbol: HBAR
            dueDiligenceComplete: true
            isFeeOnTransferToken: false
            description: >-
              Hedera is a public, open source, proof-of-stake network, with
              native cryptocurrency HBAR...
            website: https://hedera.com/
            twitterHandle: hedera
        token1:
          $ref: '#/components/schemas/Token'
          example:
            decimals: 6
            icon: /images/tokens/sauce.png
            id: 0.0.61266
            name: SAUCE
            price: '24609831'
            priceUsd: 0.0147408436767304
            symbol: SAUCE
            dueDiligenceComplete: true
            isFeeOnTransferToken: false
            description: >-
              SaucerSwap is an open source and non-custodial AMM protocol native
              to Hedera...
            website: https://www.saucerswap.finance/
            twitterHandle: SaucerSwapLabs
        fee:
          type: integer
          example: 3000
          description: Swap fee tier denoted in basis points
        tickUpper:
          type: integer
          example: -1620
          description: Upper end of the position's price range
        tickLower:
          type: integer
          example: -2820
          description: Lower end of the position's price range
        liquidity:
          type: string
          example: '3249809842'
          description: The amount of liquidity provided by the position
        feeGrowthInside0LastX128:
          type: string
          example: '2546890053379859378523505791149585'
          description: >-
            Accumulated fee growth for token0 inside the tick range since the
            last time liquidity was added or removed
        feeGrowthInside1LastX128:
          type: string
          example: '1232345435623984092384092380932840'
          description: >-
            Accumulated fee growth for token1 inside the tick range since the
            last time liquidity was added or removed
        tokensOwed0:
          type: string
          example: '10'
          description: >-
            Total amount of token0 owed to the position due to fees generated
            from swaps within the position's price range
        tokensOwed1:
          type: string
          example: '20'
          description: >-
            Total amount of token1 owed to the position due to fees generated
            from swaps within the position's price range
    Token:
      type: object
      properties:
        id:
          type: string
          description: Token id (shard.realm.num)
          example: 0.0.731861
        name:
          type: string
          description: Token name
          example: SAUCE
        symbol:
          type: string
          description: Token symbol
          example: SAUCE
        icon:
          type: string
          description: Relative path to the token icon
          example: /images/tokens/sauce.svg
        decimals:
          type: integer
          description: Token decimal places
          example: 6
        price:
          type: string
          example: '36806544'
          description: Token price in tinybar
        priceUsd:
          type: number
          description: Token price in terms of USD
          example: 0.01763457
        dueDiligenceComplete:
          type: boolean
          description: Token due diligence completed?
          example: true
        isFeeOnTransferToken:
          type: boolean
          description: Token has fees on transfer?
          example: false
        description:
          type: string
          description: Token description
          example: >-
            SaucerSwap is an open source and non-custodial AMM protocol native
            to Hedera.
        website:
          type: string
          description: Token website link
          example: https://www.saucerswap.finance/
        sentinelReport:
          type: string
          description: Token sentinel report link
          example: https://sentinel.headstarter.org/details/saucerswap
        twitterHandle:
          type: string
          description: Token sentinel report link
          example: SaucerSwapLabs
      required:
        - id
        - name
        - symbol
        - icon
        - decimals
        - price
        - priceUsd
        - dueDiligenceComplete
        - isFeeOnTransferToken
        - description
        - website
        - sentinelReport
        - twitterHandle

````